Skip to main content
GET
/
v1
/
patients
/
{patient_id}
/
external-ids
List patient external IDs
curl --request GET \
  --url https://api.example.com/v1/patients/{patient_id}/external-ids \
  --header 'X-API-Key: <api-key>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "patient_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "value": "<string>",
    "external_id_type": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    },
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

X-API-Key
string
header
required

Path Parameters

patient_id
string<uuid>
required

Patient UUID

Response

Successful Response

id
string<uuid>
required
patient_id
string<uuid>
required
value
string
required
external_id_type
ExternalIdTypeSummary · object
required

Read-only summary of an external_id_types row.

Used embedded in ExternalIdValueResponse (where created_at stays None) and as the body of GET /v1/external-id-types (where it's populated).

created_at
string<date-time>
required
updated_at
string<date-time>
required